import styled, { css } from 'styled-components'
import { colours } from '../../assets/theme'
import burb from '../../assets/img/IconSM.png'

export const OverlayWrapper = styled.div`
  z-index: 2;
  position: fixed;
  height: 100vh;
  width: 100vw;
  /* pointer-events: none; */
`
export const TopLeft = styled.div`
  opacity: 0;
  transform: translateY(-20%);
  transition: all 0.2s ease-in-out;
  padding: 2em;
  ${props =>
    props.$active &&
    css`
      transform: translateY(0%);
      opacity: 1;
    `};

  p,
  svg {
    backdrop-filter: blur(20px);
    background-color: ${colours.midnight}40;
    padding: 4px 8px;
    display: inline-block;
    margin-right: 45%;
    border-radius: 5px;
  }
`

export const InfoButton = styled.img.attrs(() => ({
  src: burb,
}))`
  opacity: 0.001;
  transform: translateY(-20%);
  transition: all 0.2s ease-in-out;
  transition-delay: 0.2s;
  position: fixed;
  right: 2em;
  top: 2em;
  width: 45px;
  height: 45px;
  z-index: 100;
  ${props =>
    props.$active &&
    css`
      transform: translateY(0%);
      opacity: 1;
    `};

  &:hover {
    filter: invert(1);
  }
`
